## qt3d-opensource-src 5.9.5+dfsg

=== src/3rdparty/assimp/code/CMakeLists.txt ===
# Open Asset Import Library (assimp)
# ----------------------------------------------------------------------
#
# Copyright (c) 2006-2016, assimp team
# All rights reserved.
#
# Redistribution and use of this software in source and binary forms,
# with or without modification, are permitted provided that the
# following conditions are met:
#
# * Redistributions of source code must retain the above
#   copyright notice, this list of conditions and the
#   following disclaimer.
#
# * Redistributions in binary form must reproduce the above
#   copyright notice, this list of conditions and the
#   following disclaimer in the documentation and/or other
#   materials provided with the distribution.
#
# * Neither the name of the assimp team, nor the names of its
#   contributors may be used to endorse or promote products
#   derived from this software without specific prior
#   written permission of the assimp team.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
#----------------------------------------------------------------------

# Listing and grouping of all the source files.
# 1) Set the file lists for each component
# 2) Create a Source Group for each component, for IDE project orginization
# 3) Add libassimp using the file lists (eliminates duplication of file names between
#    source groups and library command)
#
cmake_minimum_required( VERSION 2.6 )
SET( HEADER_PATH ../include/assimp )

SET( COMPILER_HEADERS
  ${HEADER_PATH}/Compiler/pushpack1.h
  ${HEADER_PATH}/Compiler/poppack1.h
  ${HEADER_PATH}/Compiler/pstdint.h
)
SOURCE_GROUP( Compiler FILES ${COMPILER_HEADERS})

SET( PUBLIC_HEADERS
  ${HEADER_PATH}/anim.h
  ${HEADER_PATH}/ai_assert.h
  ${HEADER_PATH}/camera.h
  ${HEADER_PATH}/color4.h
  ${HEADER_PATH}/color4.inl
  ${HEADER_PATH}/config.h
  ${HEADER_PATH}/defs.h
  ${HEADER_PATH}/cfileio.h
  ${HEADER_PATH}/light.h
  ${HEADER_PATH}/material.h
  ${HEADER_PATH}/material.inl
  ${HEADER_PATH}/matrix3x3.h
  ${HEADER_PATH}/matrix3x3.inl
  ${HEADER_PATH}/matrix4x4.h
  ${HEADER_PATH}/matrix4x4.inl
  ${HEADER_PATH}/mesh.h
  ${HEADER_PATH}/postprocess.h
  ${HEADER_PATH}/quaternion.h
  ${HEADER_PATH}/quaternion.inl
  ${HEADER_PATH}/scene.h
  ${HEADER_PATH}/metadata.h
  ${HEADER_PATH}/texture.h
  ${HEADER_PATH}/types.h
  ${HEADER_PATH}/vector2.h
  ${HEADER_PATH}/vector2.inl
  ${HEADER_PATH}/vector3.h
  ${HEADER_PATH}/vector3.inl
  ${HEADER_PATH}/version.h
  ${HEADER_PATH}/cimport.h
  ${HEADER_PATH}/importerdesc.h
  ${HEADER_PATH}/Importer.hpp
  ${HEADER_PATH}/DefaultLogger.hpp
  ${HEADER_PATH}/ProgressHandler.hpp
  ${HEADER_PATH}/IOStream.hpp
  ${HEADER_PATH}/IOSystem.hpp
  ${HEADER_PATH}/Logger.hpp
  ${HEADER_PATH}/LogStream.hpp
  ${HEADER_PATH}/NullLogger.hpp
  ${HEADER_PATH}/cexport.h
  ${HEADER_PATH}/Exporter.hpp
)

SET( Core_SRCS
  Assimp.cpp
)

SET( Logging_SRCS
  ${HEADER_PATH}/DefaultLogger.hpp
  ${HEADER_PATH}/LogStream.hpp
  ${HEADER_PATH}/Logger.hpp
  ${HEADER_PATH}/NullLogger.hpp
  Win32DebugLogStream.h
  DefaultLogger.cpp
  FileLogStream.h
  StdOStreamLogStream.h
)
SOURCE_GROUP(Logging FILES ${Logging_SRCS})

SET( Common_SRCS
  fast_atof.h
  qnan.h
  BaseImporter.cpp
  BaseImporter.h
  BaseProcess.cpp
  BaseProcess.h
  Importer.h
  ScenePrivate.h
  PostStepRegistry.cpp
  ImporterRegistry.cpp
  ByteSwapper.h
  DefaultProgressHandler.h
  DefaultIOStream.cpp
  DefaultIOStream.h
  DefaultIOSystem.cpp
  DefaultIOSystem.h
  CInterfaceIOWrapper.h
  Hash.h
  Importer.cpp
  IFF.h
  MemoryIOWrapper.h
  ParsingUtils.h
  StreamReader.h
  StreamWriter.h
  StringComparison.h
  StringUtils.h
  SGSpatialSort.cpp
  SGSpatialSort.h
  VertexTriangleAdjacency.cpp
  VertexTriangleAdjacency.h
  GenericProperty.h
  SpatialSort.cpp
  SpatialSort.h
  SceneCombiner.cpp
  SceneCombiner.h
  ScenePreprocessor.cpp
  ScenePreprocessor.h
  SkeletonMeshBuilder.cpp
  SkeletonMeshBuilder.h
  SplitByBoneCountProcess.cpp
  SplitByBoneCountProcess.h
  SmoothingGroups.h
  StandardShapes.cpp
  StandardShapes.h
  TargetAnimation.cpp
  TargetAnimation.h
  RemoveComments.cpp
  RemoveComments.h
  Subdivision.cpp
  Subdivision.h
  Vertex.h
  LineSplitter.h
  TinyFormatter.h
  Profiler.h
  LogAux.h
  Bitmap.cpp
  Bitmap.h
  XMLTools.h
  Version.cpp
)
SOURCE_GROUP(Common FILES ${Common_SRCS})

IF ( ASSIMP_BUILD_NONFREE_C4D_IMPORTER )
  SET( C4D_SRCS
    C4DImporter.cpp
    C4DImporter.h
  )
  SOURCE_GROUP( C4D FILES ${C4D_SRCS})
ENDIF ( ASSIMP_BUILD_NONFREE_C4D_IMPORTER )

# macro to add the CMake Option ADD_ASSIMP_IMPORTER_<name> which enables compile of loader
# this way selective loaders can be compiled (reduces filesize + compile time)
MACRO(ADD_ASSIMP_IMPORTER name)
  OPTION(ASSIMP_BUILD_${name}_IMPORTER "build the ${name} importer" TRUE)
  IF(ASSIMP_BUILD_${name}_IMPORTER)
    LIST(APPEND ASSIMP_LOADER_SRCS ${ARGN})
    SET(ASSIMP_IMPORTERS_ENABLED "${ASSIMP_IMPORTERS_ENABLED} ${name}")
    SET(${name}_SRCS ${ARGN})
    SOURCE_GROUP(${name} FILES ${ARGN})
  ELSE()
    SET(${name}_SRC "")
    SET(ASSIMP_IMPORTERS_DISABLED "${ASSIMP_IMPORTERS_DISABLED} ${name}")
    add_definitions(-DASSIMP_BUILD_NO_${name}_IMPORTER)
  ENDIF()
ENDMACRO()

SET(ASSIMP_LOADER_SRCS "")
SET(ASSIMP_IMPORTERS_ENABLED "") # list of enabled importers
SET(ASSIMP_IMPORTERS_DISABLED "") # disabled list (used to print)

ADD_ASSIMP_IMPORTER( 3DS
  3DSConverter.cpp
  3DSHelper.h
  3DSLoader.cpp
  3DSLoader.h
  3DSExporter.h
  3DSExporter.cpp
)

ADD_ASSIMP_IMPORTER( AC
  ACLoader.cpp
  ACLoader.h
)

ADD_ASSIMP_IMPORTER( ASE
  ASELoader.cpp
  ASELoader.h
  ASEParser.cpp
  ASEParser.h
)

ADD_ASSIMP_IMPORTER( ASSBIN
  AssbinExporter.h
  AssbinExporter.cpp
  AssbinLoader.h
  AssbinLoader.cpp
)

ADD_ASSIMP_IMPORTER( ASSXML
  AssxmlExporter.h
  AssxmlExporter.cpp
)

ADD_ASSIMP_IMPORTER( B3D
  B3DImporter.cpp
  B3DImporter.h
)

ADD_ASSIMP_IMPORTER( BVH
  BVHLoader.cpp
  BVHLoader.h
)

ADD_ASSIMP_IMPORTER( COLLADA
  ColladaHelper.h
  ColladaLoader.cpp
  ColladaLoader.h
  ColladaParser.cpp
  ColladaParser.h
  ColladaExporter.h
  ColladaExporter.cpp
)

ADD_ASSIMP_IMPORTER( DXF
  DXFLoader.cpp
  DXFLoader.h
  DXFHelper.h
)

ADD_ASSIMP_IMPORTER( CSM
  CSMLoader.cpp
  CSMLoader.h
)

ADD_ASSIMP_IMPORTER( HMP
  HMPFileData.h
  HMPLoader.cpp
  HMPLoader.h
  HalfLifeFileData.h
)

ADD_ASSIMP_IMPORTER( IRRMESH
  IRRMeshLoader.cpp
  IRRMeshLoader.h
  IRRShared.cpp
  IRRShared.h
)

ADD_ASSIMP_IMPORTER( IRR
  IRRLoader.cpp
  IRRLoader.h
  IRRShared.cpp
  IRRShared.h
)

ADD_ASSIMP_IMPORTER( LWO
  LWOAnimation.cpp
  LWOAnimation.h
  LWOBLoader.cpp
  LWOFileData.h
  LWOLoader.cpp
  LWOLoader.h
  LWOMaterial.cpp
)

ADD_ASSIMP_IMPORTER( LWS
  LWSLoader.cpp
  LWSLoader.h
)

ADD_ASSIMP_IMPORTER( MD2
  MD2FileData.h
  MD2Loader.cpp
  MD2Loader.h
  MD2NormalTable.h
)

ADD_ASSIMP_IMPORTER( MD3
  MD3FileData.h
  MD3Loader.cpp
  MD3Loader.h
)

ADD_ASSIMP_IMPORTER( MD5
  MD5Loader.cpp
  MD5Loader.h
  MD5Parser.cpp
  MD5Parser.h
)

ADD_ASSIMP_IMPORTER( MDC
  MDCFileData.h
  MDCLoader.cpp
  MDCLoader.h
  MDCNormalTable.h
)

ADD_ASSIMP_IMPORTER( MDL
  MDLDefaultColorMap.h
  MDLFileData.h
  MDLLoader.cpp
  MDLLoader.h
  MDLMaterialLoader.cpp
)

SET( MaterialSystem_SRCS
  MaterialSystem.cpp
  MaterialSystem.h
)
SOURCE_GROUP( MaterialSystem FILES ${MaterialSystem_SRCS})

ADD_ASSIMP_IMPORTER( NFF
  NFFLoader.cpp
  NFFLoader.h
)

ADD_ASSIMP_IMPORTER( NDO
  NDOLoader.cpp
  NDOLoader.h
)

ADD_ASSIMP_IMPORTER( OFF
  OFFLoader.cpp
  OFFLoader.h
)

ADD_ASSIMP_IMPORTER( OBJ
  ObjFileData.h
  ObjFileImporter.cpp
  ObjFileImporter.h
  ObjFileMtlImporter.cpp
  ObjFileMtlImporter.h
  ObjFileParser.cpp
  ObjFileParser.h
  ObjTools.h
  ObjExporter.h
  ObjExporter.cpp
)

ADD_ASSIMP_IMPORTER( OGRE
  OgreImporter.h
  OgreStructs.h
  OgreParsingUtils.h
  OgreBinarySerializer.h
  OgreXmlSerializer.h
  OgreImporter.cpp
  OgreStructs.cpp
  OgreBinarySerializer.cpp
  OgreXmlSerializer.cpp
  OgreMaterial.cpp
)

ADD_ASSIMP_IMPORTER( OPENGEX
  OpenGEXExporter.cpp
  OpenGEXExporter.h
  OpenGEXImporter.cpp
  OpenGEXImporter.h
  OpenGEXStructs.h
)

ADD_ASSIMP_IMPORTER( PLY
  PlyLoader.cpp
  PlyLoader.h
  PlyParser.cpp
  PlyParser.h
  PlyExporter.cpp
  PlyExporter.h
)

ADD_ASSIMP_IMPORTER( MS3D
  MS3DLoader.cpp
  MS3DLoader.h
)

ADD_ASSIMP_IMPORTER( COB
  COBLoader.cpp
  COBLoader.h
  COBScene.h
)

ADD_ASSIMP_IMPORTER( BLEND
  BlenderLoader.cpp
  BlenderLoader.h
  BlenderDNA.cpp
  BlenderDNA.h
  BlenderDNA.inl
  BlenderScene.cpp
  BlenderScene.h
  BlenderSceneGen.h
  BlenderIntermediate.h
  BlenderModifier.h
  BlenderModifier.cpp
  BlenderBMesh.h
  BlenderBMesh.cpp
  BlenderTessellator.h
  BlenderTessellator.cpp
)

ADD_ASSIMP_IMPORTER( IFC
  IFCLoader.cpp
  IFCLoader.h
  IFCReaderGen.cpp
  IFCReaderGen.h
  IFCUtil.h
  IFCUtil.cpp
  IFCGeometry.cpp
  IFCMaterial.cpp
  IFCProfile.cpp
  IFCCurve.cpp
  IFCBoolean.cpp
  IFCOpenings.cpp
  STEPFile.h
  STEPFileReader.h
  STEPFileReader.cpp
  STEPFileEncoding.cpp
  STEPFileEncoding.h
)
if (MSVC AND ASSIMP_BUILD_IFC_IMPORTER)
  set_source_files_properties(IFCReaderGen.cpp PROPERTIES COMPILE_FLAGS "/bigobj")
endif (MSVC AND ASSIMP_BUILD_IFC_IMPORTER)

ADD_ASSIMP_IMPORTER( XGL
  XGLLoader.cpp
  XGLLoader.h
)


ADD_ASSIMP_IMPORTER( FBX
  FBXImporter.cpp
  FBXCompileConfig.h
  FBXImporter.h
  FBXParser.cpp
  FBXParser.h
  FBXTokenizer.cpp
  FBXTokenizer.h
  FBXImportSettings.h
  FBXConverter.h
  FBXConverter.cpp
  FBXUtil.h
  FBXUtil.cpp
  FBXDocument.h
  FBXDocument.cpp
  FBXProperties.h
  FBXProperties.cpp
  FBXMeshGeometry.h
  FBXMeshGeometry.cpp
  FBXMaterial.cpp
  FBXModel.cpp
  FBXAnimation.cpp
  FBXNodeAttribute.cpp
  FBXDeformer.cpp
  FBXBinaryTokenizer.cpp
  FBXDocumentUtil.cpp
)

SET( PostProcessing_SRCS
  CalcTangentsProcess.cpp
  CalcTangentsProcess.h
  ComputeUVMappingProcess.cpp
  ComputeUVMappingProcess.h
  ConvertToLHProcess.cpp
  ConvertToLHProcess.h
  FindDegenerates.cpp
  FindDegenerates.h
  FindInstancesProcess.cpp
  FindInstancesProcess.h
  FindInvalidDataProcess.cpp
  FindInvalidDataProcess.h
  FixNormalsStep.cpp
  FixNormalsStep.h
  GenFaceNormalsProcess.cpp
  GenFaceNormalsProcess.h
  GenVertexNormalsProcess.cpp
  GenVertexNormalsProcess.h
  PretransformVertices.cpp
  PretransformVertices.h
  ImproveCacheLocality.cpp
  ImproveCacheLocality.h
  JoinVerticesProcess.cpp
  JoinVerticesProcess.h
  LimitBoneWeightsProcess.cpp
  LimitBoneWeightsProcess.h
  RemoveRedundantMaterials.cpp
  RemoveRedundantMaterials.h
  RemoveVCProcess.cpp
  RemoveVCProcess.h
  SortByPTypeProcess.cpp
  SortByPTypeProcess.h
  SplitLargeMeshes.cpp
  SplitLargeMeshes.h
  TextureTransform.cpp
  TextureTransform.h
  TriangulateProcess.cpp
  TriangulateProcess.h
  ValidateDataStructure.cpp
  ValidateDataStructure.h
  OptimizeGraph.cpp
  OptimizeGraph.h
  OptimizeMeshes.cpp
  OptimizeMeshes.h
  DeboneProcess.cpp
  DeboneProcess.h
  ProcessHelper.h
  ProcessHelper.cpp
  PolyTools.h
  MakeVerboseFormat.cpp
  MakeVerboseFormat.h
)
SOURCE_GROUP( PostProcessing FILES ${PostProcessing_SRCS})

ADD_ASSIMP_IMPORTER( Q3D
  Q3DLoader.cpp
  Q3DLoader.h
)

ADD_ASSIMP_IMPORTER( Q3BSP
  Q3BSPFileData.h
  Q3BSPFileParser.h
  Q3BSPFileParser.cpp
  Q3BSPFileImporter.h
  Q3BSPFileImporter.cpp
  Q3BSPZipArchive.h
  Q3BSPZipArchive.cpp
)

ADD_ASSIMP_IMPORTER( RAW
  RawLoader.cpp
  RawLoader.h
)

ADD_ASSIMP_IMPORTER( SIB
  SIBImporter.cpp
  SIBImporter.h
)

=== debian/changelog ===
qt3d-opensource-src (5.9.5+dfsg-0ubuntu2) bionic; urgency=medium

  * Update symbols from build logs.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 14 Apr 2018 14:44:14 -0500

qt3d-opensource-src (5.9.5+dfsg-0ubuntu1) bionic; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 14 Apr 2018 13:52:08 -0500

qt3d-opensource-src (5.9.4+dfsg-0ubuntu2) bionic; urgency=medium

  * Update symbols from build logs.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 25 Feb 2018 02:24:33 -0600

qt3d-opensource-src (5.9.4+dfsg-0ubuntu1) bionic; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 25 Feb 2018 00:36:28 -0600

qt3d-opensource-src (5.9.3+dfsg-0ubuntu1) bionic; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 09 Dec 2017 15:52:42 -0600

qt3d-opensource-src (5.9.2+dfsg-3) unstable; urgency=medium

  * Move qt3d-assimpsceneio-plugin Breaks/Replaces to the right package
    (closes: #879952).

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 18 Nov 2017 22:43:29 +0300

qt3d-opensource-src (5.9.2+dfsg-2) unstable; urgency=medium

  * Update for Qt binaries location change in qtbase 5.9.2+dfsg-3.
    - Install qgltf to the new location, provide a compatibility symlink.
    - Bump qtbase5-private-dev and qttools5-dev-tools build-dependencies.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 26 Oct 2017 16:45:02 +0300

qt3d-opensource-src (5.9.2+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.9.2.
  * Split qgltf executable into a new package, qt3d5-dev-tools.
    Make that package Multi-Arch: foreign.
  * Update symbols files for the new release.
  * Update debhelper compatibility level to 10.
  * Bump Standards-Version to 4.1.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 19 Oct 2017 10:36:07 +0300

=== debian/control ===
Source: qt3d-opensource-src
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Timo Jyrinki <timo@debian.org>,
           Sune Vuorela <debian@pusling.com>,
           Pino Toscano <pino@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Dmitry Shachnev <mitya57@debian.org>,
           Simon Quigley <tsimonq2@ubuntu.com>
Build-Depends: debhelper (>= 10),
               dpkg-dev (>= 1.17.14),
               libgl1-mesa-dri <!nocheck>,
               libqt5opengl5-dev (>= 5.9.5+dfsg~),
               pkg-kde-tools,
               pkgconf,
               qtbase5-private-dev (>= 5.9.5+dfsg~),
               qtdeclarative5-private-dev (>= 5.9.5~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
               zlib1g-dev
Build-Depends-Indep: libqt5sql5-sqlite (>= 5.9.5+dfsg~),
                     qtbase5-doc-html (>= 5.9.5+dfsg~),
                     qtdeclarative5-doc-html (>= 5.9.5~),
                     qttools5-dev-tools (>= 5.9.5~)
Standards-Version: 4.1.1
Homepage: http://qt-project.org/
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/qt/qt3d.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/qt/qt3d.git

Package: libqt53dcore5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 3D module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 3D Core module.

Package: libqt53dquick5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt53dcore5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 3D Quick module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 3D Quick module.

Package: libqt53dquickrender5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt53dcore5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 3D Quick Renderer module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 3D Quick Renderer module.

Package: libqt53dinput5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt53dcore5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 3D Input module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 3D Input module.

Package: libqt53drender5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt53dcore5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 3D Renderer module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 3D Renderer module.

Package: libqt53dlogic5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt53dcore5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 3D logic module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 3D Logic module.

Package: libqt53dquickinput5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt53dcore5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 3D Quick input
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 3D Quick input module.

Package: libqt53dquickextras5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt53dcore5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 3D Quick extras
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 3D Quick extras module.

Package: libqt53dextras5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt53dcore5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 3D extras
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 3D extras module.

Package: libqt53dquickscene2d5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt53dcore5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 3D Quick scene module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Quick Scene 2D module.

Package: libqt53danimation5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt53dcore5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 3D animation module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Animation module.

Package: libqt53dquickanimation5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt53dcore5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 3D Quick animation module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Quick Animation module.

Package: qt3d5-dev-tools
Architecture: any
Multi-Arch: foreign
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: qt3d-assimpsceneio-plugin (<< 5.9.0+dfsg-1~),
        qt3d-gltfsceneio-plugin (<< 5.9.2+dfsg-1~)
Replaces: qt3d-assimpsceneio-plugin (<< 5.9.0+dfsg-1~),
          qt3d-gltfsceneio-plugin (<< 5.9.2+dfsg-1~)
Description: Qt 3D development tools
 Qt 3D provides functionality for near-realtime simulation systems with
 support for 2D and 3D rendering in both Qt C++ and Qt Quick applications.
 .
 This package contains development programs to use with Qt 3D.
 .
 At the moment there is only one tool here, qgltf, which can be used to
 import a variety of 3D model formats and export it into fast-to-load,
 optimized glTF assets embedded into Qt resource files.

Package: qt3d-gltfsceneio-plugin
Architecture: any
Multi-Arch: same
Depends: libqt53dcore5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 3D GL Transmission Format scene IO plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 3D's GLTF geometry loader, and scene import and
 export plugins.

Package: qt3d-assimpsceneimport-plugin
Architecture: any
Multi-Arch: same
Depends: libqt53dcore5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 3D GL Assimp scene import plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 3D's Assimp scene import plugin.

Package: qt3d-defaultgeometryloader-plugin
Architecture: any
Multi-Arch: same
Depends: libqt53dcore5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 3D default geometry loader plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 3D's default geometry loader plugin.

Package: qt3d-scene2d-plugin
Architecture: any
Multi-Arch: same
Depends: libqt53dcore5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 3D Scene 2D plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 3D's Scene 2D plugin.

Package: qml-module-qt3d
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 3D QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 3D QML module.

Package: qml-module-qtquick-scene3d
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 Quick Scene 3D QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Quick Scene 3D QML module.

Package: qml-module-qtquick-scene2d
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 Quick Scene 2D QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Quick Scene 2D QML module.

Package: qt3d5-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqt53danimation5 (= ${binary:Version}),
         libqt53dcore5 (= ${binary:Version}),
         libqt53dextras5 (= ${binary:Version}),
         libqt53dinput5 (= ${binary:Version}),
         libqt53dlogic5 (= ${binary:Version}),
         libqt53dquick5 (= ${binary:Version}),
         libqt53dquickanimation5 (= ${binary:Version}),
         libqt53dquickextras5 (= ${binary:Version}),
         libqt53dquickinput5 (= ${binary:Version}),
         libqt53dquickrender5 (= ${binary:Version}),
         libqt53dquickscene2d5 (= ${binary:Version}),
         libqt53drender5 (= ${binary:Version}),
         qtbase5-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: qt3d5-doc, qt3d5-doc-html
Description: Qt 5 3D development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 5
 applications using Qt 3D library.

Package: qt3d5-examples
Architecture: any
Multi-Arch: same
Section: x11
Depends: qml-module-qt3d,
         qml-module-qtquick-scene3d,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 5 3d examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 5 3D examples.

Package: qt3d5-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Qt 3D documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for the Qt 5 3D libraries.

Package: qt3d5-doc-html
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Qt 3D HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export QT_SELECT=qt5
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed

%:
	dh $@ --fail-missing --with pkgkde_symbolshelper

override_dh_auto_configure:
	qmake QT_BUILD_PARTS+=tests

override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_install-arch:
	dh_auto_install
	
	# Remove libtool-like files
	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la
	
	# Remove private stuff
	rm -rfv $(CURDIR)/debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/qt5/Qt3D*/5.*/Qt3D*/private
	rm -fv $(CURDIR)/debian/tmp/usr/lib/*/qt5/mkspecs/modules/qt_lib_*_private.pri
	
	# Remove cmake config files of plugins
	rm -fv $(CURDIR)/debian/tmp/usr/lib/*/cmake/Qt53DRenderer/Qt53DRenderer_*.cmake

	# Remove empty directories
	find $(CURDIR)/debian/tmp -type d -empty -delete

	# Fix wrong path in pkgconfig files
	find $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig -type f -name '*.pc' \
	-exec sed -i -e 's/$(DEB_HOST_MULTIARCH)\/$(DEB_HOST_MULTIARCH)/$(DEB_HOST_MULTIARCH)/g' {} \;

override_dh_auto_install-indep:
	$(MAKE) INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs

override_dh_link:
	dh_link -pqt3d5-dev-tools usr/lib/qt5/bin/qgltf usr/lib/$(DEB_HOST_MULTIARCH)/qt5/bin/qgltf

override_dh_auto_test-arch:
	# Hangs on ppc*, hppa: https://bugreports.qt.io/browse/QTBUG-63864
	-xvfb-run -a -s "-screen 0 1024x768x24 +extension RANDR +extension RENDER +extension GLX +extension EGL" \
	dh_auto_test --max-parallel=1 -- QT_PLUGIN_PATH=$(CURDIR)/plugins QML2_IMPORT_PATH=$(CURDIR)/qml

override_dh_auto_test-indep:

override_dh_strip:
	dh_strip --dbgsym-migration='qt3d5-dbg (<< 5.9.0-1~)'

=== debian/watch ===
version=3
opts=uversionmangle=s/-/~/,dversionmangle=s/\+dfsg//,repacksuffix=+dfsg \
https://download.qt.io/official_releases/qt/([\d\.]*)/([\d\.]*)/submodules/qt3d-opensource-src-([^-]*)\.tar.xz

## qt3d-opensource-src 5.11.1+dfsg

=== debian/changelog ===
qt3d-opensource-src (5.11.1+dfsg-3) unstable; urgency=medium

  * Upload to Sid.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 25 Jul 2018 04:49:30 -0500

qt3d-opensource-src (5.11.1+dfsg-2) experimental; urgency=medium

  * Update symbols files with buildds' logs. We might need a new entry in
    pkgkde-symbolshelper's logic.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 29 Jun 2018 13:56:21 -0300

qt3d-opensource-src (5.11.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-version to 4.1.4, no changes needed.
  * Bump debhelper compat to 11, no changes needed.
  * Bump build dependencies to 5.11.1.
  * Remove the dbgsym migration section of debian/rules; it isn't needed
    anymore.
  * Update copyright for new upstream release.
  * Refresh patches for the new upstream release.
  * Remove reverse-applicable assimp_big_endian.diff.
  * Update symbols from amd64 build logs.
  * Update the copyright file for the new upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 25 Jun 2018 23:46:32 -0500

qt3d-opensource-src (5.10.1+dfsg-5) unstable; urgency=medium

  * Really remove *all* unstable API stuff (Closes: #895507).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 13 Apr 2018 16:15:58 -0300

qt3d-opensource-src (5.10.1+dfsg-4) unstable; urgency=medium

  * Do not ship CMake files for Qt53DQuickExtras and Qt53DExtras
    (Closes: #895386, #895507).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 12 Apr 2018 08:53:34 -0300

qt3d-opensource-src (5.10.1+dfsg-3) unstable; urgency=medium

  * Pass QT_BUILD_PARTS+=tests as a qmake parameter, not as a dh_auto_configure
    one.
  * Add Build-Profiles: <!nodoc> to doc packages.
  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 07 Apr 2018 17:36:37 -0300

qt3d-opensource-src (5.10.1+dfsg-2) experimental; urgency=medium

  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 02 Mar 2018 17:00:04 -0300

qt3d-opensource-src (5.10.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies.
  * Add support for the nodoc build profile.
  * Fix debian/watch to check for the new upstream tarball name.
  * Switch to using plain dh_auto_configure instead of calling qmake.
    - Bump debhelper dependency to 10.9.2, required to do the change.
  * Remove no longer needed code from debian/rules.
  * Refresh nonfree_resources.diff.
    - Also avoid building phong-cubes.
  * Add libassimp-dev as a build dependency. The build needs it and can use
    the system library.
  * Do not ship unstable API headers: Extras and Animations. We keep the libs
    because other stable-API libs depends upon them.
  * Switch Vcs-[Git Browser] to salsa.debian.org.
  * Update symbols with current build log. As Extras and Animations are
    unstable, there are no reverse dependencies and we will not ship headers
    for them from now on I am just ignoring their missing symbols.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 02 Mar 2018 12:36:14 -0300

=== debian/control ===
--- 
+++ 
@@ -1,33 +1,33 @@
 Source: qt3d-opensource-src
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Timo Jyrinki <timo@debian.org>,
            Sune Vuorela <debian@pusling.com>,
            Pino Toscano <pino@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>,
            Simon Quigley <tsimonq2@ubuntu.com>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                dpkg-dev (>= 1.17.14),
+               libassimp-dev,
                libgl1-mesa-dri <!nocheck>,
-               libqt5opengl5-dev (>= 5.9.5+dfsg~),
+               libqt5opengl5-dev (>= 5.11.1+dfsg~),
                pkg-kde-tools,
                pkgconf,
-               qtbase5-private-dev (>= 5.9.5+dfsg~),
-               qtdeclarative5-private-dev (>= 5.9.5~),
+               qtbase5-private-dev (>= 5.11.1+dfsg~),
+               qtdeclarative5-private-dev (>= 5.11.1~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
                zlib1g-dev
-Build-Depends-Indep: libqt5sql5-sqlite (>= 5.9.5+dfsg~),
-                     qtbase5-doc-html (>= 5.9.5+dfsg~),
-                     qtdeclarative5-doc-html (>= 5.9.5~),
-                     qttools5-dev-tools (>= 5.9.5~)
-Standards-Version: 4.1.1
+Build-Depends-Indep: libqt5sql5-sqlite (>= 5.11.1+dfsg~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.11.1+dfsg~) <!nodoc>,
+                     qtdeclarative5-doc-html (>= 5.11.1~) <!nodoc>,
+                     qttools5-dev-tools (>= 5.11.1~) <!nodoc>
+Standards-Version: 4.1.4
 Homepage: http://qt-project.org/
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/qt/qt3d.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/qt/qt3d.git
+Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qt3d.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qt3d
 
 Package: libqt53dcore5
 Architecture: any
@@ -327,6 +327,7 @@
 
 Package: qt3d5-doc
 Architecture: all
+Build-Profiles: <!nodoc>
 Section: doc
 Depends: ${misc:Depends}
 Description: Qt 3D documentation
@@ -337,6 +338,7 @@
 
 Package: qt3d5-doc-html
 Architecture: all
+Build-Profiles: <!nodoc>
 Section: doc
 Depends: ${misc:Depends}
 Description: Qt 3D HTML documentation

## qt3d-opensource-src 5.11.3+dfsg

=== debian/changelog ===
qt3d-opensource-src (5.11.3+dfsg-2) unstable; urgency=medium

  [ Simon Quigley ]
  * Change my email to tsimonq2@debian.org now that I am a Debian Developer.
  * Bump Standards-version to 4.3.0, no changes needed.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 26 Dec 2018 17:00:54 -0300

qt3d-opensource-src (5.11.3+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 22 Dec 2018 16:09:18 -0300

qt3d-opensource-src (5.11.2+dfsg-2) unstable; urgency=medium

  * Update debian/copyright.
  * Drop unneeded explicit build-dependency on libqt5sql5-sqlite.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 16 Oct 2018 19:53:34 +0300

qt3d-opensource-src (5.11.2+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-version to 4.1.2, no changes needed.
  * Bump Qt build dependencies to 5.11.2.
  * Update copyright for new upstream files.
  * Update symbols from build logs.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 06 Oct 2018 23:45:50 -0500

=== debian/control ===
--- 
+++ 
@@ -7,24 +7,24 @@
            Pino Toscano <pino@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>,
-           Simon Quigley <tsimonq2@ubuntu.com>
+           Simon Quigley <tsimonq2@debian.org>
 Build-Depends: debhelper (>= 11),
                dpkg-dev (>= 1.17.14),
                libassimp-dev,
                libgl1-mesa-dri <!nocheck>,
-               libqt5opengl5-dev (>= 5.11.1+dfsg~),
+               libqt5opengl5-dev (>= 5.11.3+dfsg~),
                pkg-kde-tools,
                pkgconf,
-               qtbase5-private-dev (>= 5.11.1+dfsg~),
-               qtdeclarative5-private-dev (>= 5.11.1~),
+               qtbase5-dev (>= 5.11.3+dfsg~),
+               qtbase5-private-dev (>= 5.11.3+dfsg~),
+               qtdeclarative5-private-dev (>= 5.11.3~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
                zlib1g-dev
-Build-Depends-Indep: libqt5sql5-sqlite (>= 5.11.1+dfsg~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.11.1+dfsg~) <!nodoc>,
-                     qtdeclarative5-doc-html (>= 5.11.1~) <!nodoc>,
-                     qttools5-dev-tools (>= 5.11.1~) <!nodoc>
-Standards-Version: 4.1.4
+Build-Depends-Indep: qtbase5-doc-html (>= 5.11.3+dfsg~) <!nodoc>,
+                     qtdeclarative5-doc-html (>= 5.11.3~) <!nodoc>,
+                     qttools5-dev-tools (>= 5.11.3~) <!nodoc>
+Standards-Version: 4.3.0
 Homepage: http://qt-project.org/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qt3d.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qt3d

=== debian/rules ===
--- 
+++ 
@@ -4,32 +4,39 @@
 #export DH_VERBOSE=1
 
 export QT_SELECT=qt5
-DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
-export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
-export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
-export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
+unstable_api = Animation Extras QuickAnimation QuickExtras
 
 %:
 	dh $@ --fail-missing --with pkgkde_symbolshelper
 
 override_dh_auto_configure:
-	qmake QT_BUILD_PARTS+=tests
+	dh_auto_configure -- QT_BUILD_PARTS+=tests
 
 override_dh_auto_build-indep:
 	dh_auto_build -- docs
 
 override_dh_auto_install-arch:
 	dh_auto_install
-	
+
 	# Remove libtool-like files
 	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la
-	
+
 	# Remove private stuff
 	rm -rfv $(CURDIR)/debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/qt5/Qt3D*/5.*/Qt3D*/private
 	rm -fv $(CURDIR)/debian/tmp/usr/lib/*/qt5/mkspecs/modules/qt_lib_*_private.pri
-	
+
+	# Also remove unstable API.
+	set -e; for api in $(unstable_api); do \
+		echo "Removing $$api stuff:" ; \
+		rm -rfv $(CURDIR)/debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/qt5/Qt3D$$api/ ; \
+		rm -rfv $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/Qt53D$$api/ ; \
+		rm -rfv $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt53D$$api.prl ; \
+		rm -rfv $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/Qt53D$$api.pc ; \
+		rm -rfv $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/qml/Qt3D/$$api.pc ; \
+	done
+
 	# Remove cmake config files of plugins
 	rm -fv $(CURDIR)/debian/tmp/usr/lib/*/cmake/Qt53DRenderer/Qt53DRenderer_*.cmake
 
@@ -52,6 +59,3 @@
 	dh_auto_test --max-parallel=1 -- QT_PLUGIN_PATH=$(CURDIR)/plugins QML2_IMPORT_PATH=$(CURDIR)/qml
 
 override_dh_auto_test-indep:
-
-override_dh_strip:
-	dh_strip --dbgsym-migration='qt3d5-dbg (<< 5.9.0-1~)'

## qt3d-opensource-src 5.12.2+dfsg

=== debian/changelog ===
qt3d-opensource-src (5.12.2+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.12.2.
  * Remove obsolete code to fix wrong path in pkgconfig files.
  * Update Homepage URL.
  * Update debian/libqt53drender5.symbols for x32 (closes: #922785).
  * Update symbols files from the current build logs.
  * Minor debian/copyright updates.
  * Do not exclude a directory (pattern_09) that contains only a README.
  * Bump libassimp-dev build-dependency to 4.1, to match bundled version.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 26 Mar 2019 00:18:21 +0300

=== debian/control ===
--- 
+++ 
@@ -10,22 +10,22 @@
            Simon Quigley <tsimonq2@debian.org>
 Build-Depends: debhelper (>= 11),
                dpkg-dev (>= 1.17.14),
-               libassimp-dev,
+               libassimp-dev (>= 4.1),
                libgl1-mesa-dri <!nocheck>,
-               libqt5opengl5-dev (>= 5.11.3+dfsg~),
+               libqt5opengl5-dev (>= 5.12.2+dfsg~),
                pkg-kde-tools,
                pkgconf,
-               qtbase5-dev (>= 5.11.3+dfsg~),
-               qtbase5-private-dev (>= 5.11.3+dfsg~),
-               qtdeclarative5-private-dev (>= 5.11.3~),
+               qtbase5-dev (>= 5.12.2+dfsg~),
+               qtbase5-private-dev (>= 5.12.2+dfsg~),
+               qtdeclarative5-private-dev (>= 5.12.2~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
                zlib1g-dev
-Build-Depends-Indep: qtbase5-doc-html (>= 5.11.3+dfsg~) <!nodoc>,
-                     qtdeclarative5-doc-html (>= 5.11.3~) <!nodoc>,
-                     qttools5-dev-tools (>= 5.11.3~) <!nodoc>
+Build-Depends-Indep: qtbase5-doc-html (>= 5.12.2+dfsg~) <!nodoc>,
+                     qtdeclarative5-doc-html (>= 5.12.2~) <!nodoc>,
+                     qttools5-dev-tools (>= 5.12.2~) <!nodoc>
 Standards-Version: 4.3.0
-Homepage: http://qt-project.org/
+Homepage: https://doc.qt.io/qt-5/qt3d-index.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qt3d.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qt3d
 
@@ -342,4 +342,3 @@
 Section: doc
 Depends: ${misc:Depends}
 Description: Qt 3D HTML documentation
- Qt is a cross-platform C++ application framework. Qt's primary feature

=== debian/rules ===
--- 
+++ 
@@ -43,10 +43,6 @@
 	# Remove empty directories
 	find $(CURDIR)/debian/tmp -type d -empty -delete
 
-	# Fix wrong path in pkgconfig files
-	find $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig -type f -name '*.pc' \
-	-exec sed -i -e 's/$(DEB_HOST_MULTIARCH)\/$(DEB_HOST_MULTIARCH)/$(DEB_HOST_MULTIARCH)/g' {} \;
-
 override_dh_auto_install-indep:
 	$(MAKE) INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs

## qt3d-opensource-src 5.12.4+dfsg

=== debian/changelog ===
qt3d-opensource-src (5.12.4+dfsg-1) experimental; urgency=medium

  [ Scarlett Moore ]
  * Update packaging to use doc-base as per policy 9.10.

  [ Dmitry Shachnev ]
  * New upstream release.
  * Drop nonfree_resources.diff, no longer needed.
  * Bump Qt build-dependencies to 5.12.4.
  * Make tests fatal on most architectures.
  * Honor nocheck build option/profile.
  * Update symbols files from the current build log.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 25 Jun 2019 17:04:53 +0300

=== debian/control ===
--- 
+++ 
@@ -12,18 +12,18 @@
                dpkg-dev (>= 1.17.14),
                libassimp-dev (>= 4.1),
                libgl1-mesa-dri <!nocheck>,
-               libqt5opengl5-dev (>= 5.12.2+dfsg~),
+               libqt5opengl5-dev (>= 5.12.4+dfsg~),
                pkg-kde-tools,
                pkgconf,
-               qtbase5-dev (>= 5.12.2+dfsg~),
-               qtbase5-private-dev (>= 5.12.2+dfsg~),
-               qtdeclarative5-private-dev (>= 5.12.2~),
+               qtbase5-dev (>= 5.12.4+dfsg~),
+               qtbase5-private-dev (>= 5.12.4+dfsg~),
+               qtdeclarative5-private-dev (>= 5.12.4~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
                zlib1g-dev
-Build-Depends-Indep: qtbase5-doc-html (>= 5.12.2+dfsg~) <!nodoc>,
-                     qtdeclarative5-doc-html (>= 5.12.2~) <!nodoc>,
-                     qttools5-dev-tools (>= 5.12.2~) <!nodoc>
+Build-Depends-Indep: qtbase5-doc-html (>= 5.12.4+dfsg~) <!nodoc>,
+                     qtdeclarative5-doc-html (>= 5.12.4~) <!nodoc>,
+                     qttools5-dev-tools (>= 5.12.4~) <!nodoc>
 Standards-Version: 4.3.0
 Homepage: https://doc.qt.io/qt-5/qt3d-index.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qt3d.git

## qt3d-opensource-src 5.12.5+dfsg

=== debian/changelog ===
qt3d-opensource-src (5.12.5+dfsg-1build1) focal; urgency=medium

  * No-change upload for libassimp soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 31 Jan 2020 07:29:02 +0100

qt3d-opensource-src (5.12.5+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.12.5.
  * Remove some no longer present directories from Files-Excluded.
  * Update symbols files from the current build log.
  * Bump Standards-Version to 4.4.1, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 21 Oct 2019 12:36:53 +0300

=== debian/control ===
--- 
+++ 
@@ -12,19 +12,19 @@
                dpkg-dev (>= 1.17.14),
                libassimp-dev (>= 4.1),
                libgl1-mesa-dri <!nocheck>,
-               libqt5opengl5-dev (>= 5.12.4+dfsg~),
+               libqt5opengl5-dev (>= 5.12.5+dfsg~),
                pkg-kde-tools,
                pkgconf,
-               qtbase5-dev (>= 5.12.4+dfsg~),
-               qtbase5-private-dev (>= 5.12.4+dfsg~),
-               qtdeclarative5-private-dev (>= 5.12.4~),
+               qtbase5-dev (>= 5.12.5+dfsg~),
+               qtbase5-private-dev (>= 5.12.5+dfsg~),
+               qtdeclarative5-private-dev (>= 5.12.5~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
                zlib1g-dev
-Build-Depends-Indep: qtbase5-doc-html (>= 5.12.4+dfsg~) <!nodoc>,
-                     qtdeclarative5-doc-html (>= 5.12.4~) <!nodoc>,
-                     qttools5-dev-tools (>= 5.12.4~) <!nodoc>
-Standards-Version: 4.3.0
+Build-Depends-Indep: qtbase5-doc-html (>= 5.12.5+dfsg~) <!nodoc>,
+                     qtdeclarative5-doc-html (>= 5.12.5~) <!nodoc>,
+                     qttools5-dev-tools (>= 5.12.5~) <!nodoc>
+Standards-Version: 4.4.1
 Homepage: https://doc.qt.io/qt-5/qt3d-index.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qt3d.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qt3d
